function T=time_difference(x)
global start_Time

startt_Time=clock;
fid=fopen('d:\link.txt','wt');
fprintf(fid,'%1g\n%6.4f\n',2,x);
fclose(fid);

s=2;
while s==2
    try
        G=textread('d:\link.txt','%f');
        s=G(1,1);
    catch
        s=2;
    end
    currentTime = etime(clock,startt_Time);
    if currentTime>300
        disp('no result')
        pause
    end
end

T=G(2,1);
%best_T=G(3,1);
%itrtin=G(4,1);
%current_Time = etime(clock,startt_Time);
%clc
disp('--------------------------------------------------' )
disp(['start time=                    ' num2str(start_Time(4)) ':' num2str(start_Time(5))])
%disp(['iteration Number=              ' num2str(itrtin)])
%disp(['last iteration period=         ' num2str(current_Time) '  sec'])
disp(['variable=      '  num2str(x)])
disp(['Objective Function value=      ' num2str(T)])
%disp(['best Objective Function value= ' num2str(best_T)])
disp('--------------------------------------------------' )
